using System.Collections.Generic;

namespace MarketData.MarketDataModel.GainLoss
{
  public class DMAValues : List<DMAValue>
  {
    public DMAValues()
    {
    }
    public float[] GetValues(int startIndex, int count)
    {
      if (startIndex + count > Count) return null;
      float[] valuesArray = new float[count];
      for (int index = startIndex, arrayIndex = 0; index < startIndex + count; index++, arrayIndex++)
      {
        valuesArray[arrayIndex] = (float)this[index].Value;
      }
      return valuesArray;
    }
  }
}
